from django.db import models

class Sound(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    path = models.FilePathField()
    pub_date = models.DateTimeField('date published')
    likes = models.IntegerField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()

class Notes(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    path = models.FilePathField()
    pub_date = models.DateTimeField('date published')
    likes = models.IntegerField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()

class Rhythm(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    path = models.FilePathField()
    pub_date = models.DateTimeField('date published')
    likes = models.IntegerField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()

class AudioTrack(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    pub_date = models.DateTimeField('date published')
    likes = models.IntegerField()
    soundpath = models.FilePathField()
    artpath = models.FilePathField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()

class SynthTrack(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    pub_date = models.DateTimeField('date published')
    likes = models.IntegerField()
    notepath = models.FilePathField()
    artpath = models.FilePathField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()

class Band(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    pub_date = models.DateTimeField('date published')
    likes = models.IntegerField()
    chordpath = models.FilePathField()
    basspath = models.FilePathField()
    leadpath = models.FilePathField()
    audio1path = models.FilePathField()
    audio2path = models.FilePathField()
    artchordpath = models.FilePathField()
    artbasspath = models.FilePathField()
    artleadpath = models.FilePathField()
    artaudio1path = models.FilePathField()
    artaudio2path = models.FilePathField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()

class CompleteSet(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    pub_date = models.DateTimeField()
    likes = models.ForeignKey(Sound)
    chordspath = models.FilePathField()
    artchordspath = models.FilePathField()
    udid = models.CharField(max_length=100)
    lat = models.FloatField()
    long = models.FloatField()


class Comment(models.Model):
    sound = models.ForeignKey(Sound)
    text = models.TextField()
    pub_date = models.DateTimeField()
